#include <iostream>
#include <cstring>
using namespace std;
int main()
{
    int n,br=0;
    bool b=false;
    cin>>n;
    char arr[8000];
    for (int i=0; i<n; i++)
    {
        cin.getline(arr,8000);
        for (int i=0; i<strlen(arr); i++)
        {
            br=0;
            for (int k=0; k<strlen(arr); k++)
            {
                if(arr[i]==arr[k] && i!=k) br++;
            }
            if(strlen(arr)%2 != br%2)
            {
                break;
                b=true;
            }
        }
        if(b==false) cout<<"1";
            else cout<<"0";
    }
    return 0;
}
